package module

import (
	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/context"
	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/recconf"
)

type ColdStartRecallDao interface {
	ListItemsByUser(user *User, context *context.RecommendContext) []*Item
}

func NewColdStartRecallDao(config recconf.RecallConfig) ColdStartRecallDao {
	if config.ColdStartDaoConf.AdapterType == recconf.DaoConf_Adapter_Hologres {
		return NewColdStartRecallHologresDao(config)
	}

	panic("not found ColdStartRecallDao implement")
}
